// Code generated by Wire. DO NOT EDIT.

//go:generate go run github.com/google/wire/cmd/wire
//go:build !wireinject
// +build !wireinject

package main

import (
	"demo/internal/biz"
	"demo/internal/conf"
	"demo/internal/data"
	"demo/internal/router"
	"demo/internal/router/mid"
	"demo/internal/server"
	"demo/internal/service"
	"github.com/go-kratos/kratos/v2"
	"github.com/go-kratos/kratos/v2/log"
)

import (
	_ "go.uber.org/automaxprocs"
)

// Injectors from wire.go:

// wireApp init kratos application.
func wireApp(confServer *conf.Server, confData *conf.Data, logger log.Logger) (*kratos.App, func(), error) {
	common := &mid.Common{}
	jwt := &mid.Jwt{}
	greeterService := service.NewGreeterService(logger)
	dataData, cleanup, err := data.NewData(confData, logger)
	if err != nil {
		return nil, nil, err
	}
	campaignRepo := data.NewCampaignRepo(dataData, logger)
	adRepo := data.NewAdRepo(dataData, logger)
	creativeRepo := data.NewCreativeRepo(dataData, logger)
	reportUsecase := biz.NewReportUsecase(campaignRepo, adRepo, creativeRepo, logger)
	reportService := service.NewReportService(reportUsecase, logger)
	web := &router.Web{
		Common:  common,
		Jwt:     jwt,
		Greeter: greeterService,
		Report:  reportService,
	}
	httpServer := server.NewHTTPServer(confServer, web, logger)
	app := newApp(logger, httpServer)
	return app, func() {
		cleanup()
	}, nil
}
