package service

import (
	"fmt"

	"github.com/gin-gonic/gin"
	"github.com/go-kratos/kratos/v2/log"
)

// GreeterService is a greeter service.
type GreeterService struct {
	log *log.Helper
}

// NewGreeterService new a greeter service.
func NewGreeterService(logger log.Logger) *GreeterService {
	return &GreeterService{log: log.NewHelper(logger)}
}

// SayHello say hello
func (s *GreeterService) SayHello(ctx *gin.Context) {
	name := ctx.Param("name")
	s.log.Info("request Param:", name)
	ResponseSuccess(ctx, fmt.Sprintf("hello %s", name))
	return
}
