package util

import (
	"fmt"
	"strconv"
	"time"
)

const layout = `20060102150405`

type Second int64

func NewSecond(ts ...time.Time) Second {
	t := time.Now()
	if len(ts) > 0 {
		t = ts[0]
	}
	minute, _ := strconv.Atoi(t.Format(layout))
	return Second(minute)
}

func (p Second) MarshalJSON() ([]byte, error) {
	t, err := time.ParseInLocation(layout, fmt.Sprint(p), time.Local)
	if err != nil {
		return nil, err
	}
	return []byte(`"` + t.Format("2006-01-02 15:04:05") + `"`), nil
}
